.screen {
    overflow: hidden;
    position: relative;
    max-width: 100%;
    padding-top: rem(40);
    padding-bottom: rem(48);

    &__body {
        z-index: 20;
        position: relative;
    }

    &__layout {
        top: 0;
        left: 0;
        bottom: 0;
        z-index: 5;
        width: 77.5%;
        position: absolute;
    }

    &__media {
        z-index: 1;
        position: absolute;
    }

    &__header {
        font-weight: 700;
        font-size: rem(18);
        line-height: rem(23);
        margin: 0 0 rem(7) 0;
        width: rem(220);
    }

    &__text {
        font-weight: 500;
        font-size: rem(12);
        line-height: rem(16);
        margin-bottom: rem(37);
        width: rem(250);
    }

    &__links {
        margin: 0;
        padding: 0;
        list-style: none;
    }

    &__item {
        margin-bottom: rem(20);

        &:last-child {
            margin-bottom: 0;
        }
    }

    &__link {
        color: $dark;
        text-decoration: none;
        font-weight: 500;
        font-size: rem(16);
        line-height: rem(20);
        display: flex;
        align-items: center;
        transition: color .3s;

        span {
            display: inline-block;
        }

        &:hover {
            color: $blue;
            text-decoration: none;
            transition: color .3s;
        }
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        position: relative;
        border-radius: 50%;
        margin-right: rem(12);
        display: inline-block;

        &:before {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 5;
            content: '';
            border-radius: 50%;
            position: absolute;
            border: 2px solid $blue;
        }
    }

    &__button {

        .btn {
            width: 100%;
        }
    }

    &--v1 {

        .screen {

            &__media {
                top: 0;
                left: -6px;
                width: 821px;
            }

            &__layout {
                background: rgba(255, 255, 255, 0.9);
            }

            &__content {
                margin-bottom: rem(27);
            }

            &__icon {
                fill: $blue;
                height: rem(50);
                background: $white;
            }

            &__links {
                width: rem(210);
            }
        }
    }

    &--v2 {

        .screen {

            &__media {
                top: 0;
                bottom: 0;
                left: calc(50% - 600px);
                width: 1118px;
                background-position: 50% 50%;
                background-repeat: no-repeat;
                background-size: cover;
            }

            &__layout {
                background: radial-gradient(142.31% 805.04% at -8.59% 167.38%, rgba(241, 248, 225, 0.92) 0%, rgba(228, 243, 232, 0.92) 41.15%, rgba(224, 238, 247, 0.92) 100%);
            }

            &__content {
                margin-bottom: rem(27);
            }

            &__icon {
                fill: $white;
                height: rem(50);
                background: $blue;
            }

            &__links {
                width: rem(210);
            }
        }
    }

    &--v3 {
        padding-top: rem(200);

        .screen {

            &__media {
                top: -6px;
                left: calc(50% - 152px);
                width: 304px;
            }

            &__content {
                margin-bottom: rem(19);
            }

            &__item {
                margin-bottom: rem(9);

                &:last-child {
                    margin-bottom: 0;
                }
            }

            &__icon {
                fill: $blue;
                height: rem(36);

                &:before {
                    border-width: 1px;
                }
            }
        }
    }

    &--v4 {
        padding-top: rem(200);
        background: radial-gradient(142.31% 805.04% at -8.59% 167.38%, #F1F8E1 0%, #E4F3E8 41.15%, #E0EEF7 100%);

        .screen {

            &__media {
                top: 0;
                left: 0;
                right: 0;
                bottom: auto;
                height: rem(188);
                background-size: cover;
            }

            &__content {
                margin-bottom: rem(19);
            }

            &__item {
                margin-bottom: rem(9);

                &:last-child {
                    margin-bottom: 0;
                }
            }

            &__icon {
                fill: $white;
                height: rem(36);
                background: $blue;
            }
        }
    }

    @include media-breakpoint-up(sm) {

        &__layout {
            width: 70%;
        }

        &__header {
            width: rem(360);
        }

        &__text {
            width: rem(360);
        }

        &--v1 {

            .screen {

                &__links {
                    width: auto;
                }
            }
        }

        &--v2 {

            .screen {

                &__links {
                    width: auto;
                }
            }
        }
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(60);
        padding-bottom: rem(70);

        &__header {
            font-size: rem(32);
            line-height: rem(40);
        }

        &__text {
            width: rem(400);
            font-size: rem(16);
            line-height: rem(24);
        }

        &__button {
            width: auto;

            .btn {
                width: auto;
                min-width: rem(250);
            }
        }

        &--v1 {

            .screen {

                &__media {
                    top: auto;
                    left: -6px;
                    bottom: -100px;
                    width: 1005px;
                }
            }
        }

        &--v3 {

            .screen {

                &__media {
                    top: auto;
                    left: -6px;
                    bottom: -100px;
                    width: 1005px;
                }

                &__layout {
                    background: rgba(255, 255, 255, 0.9);
                }
            }
        }

        &--v4 {
            background: transparent;

            .screen {

                &__media {
                    top: 0;
                    bottom: 0;
                    left: calc(50% - 600px);
                    width: 1118px;
                    height: auto;
                    background-position: 50% 50%;
                    background-repeat: no-repeat;
                    background-size: cover;
                }

                &__layout {
                    background: radial-gradient(142.31% 805.04% at -8.59% 167.38%, rgba(241, 248, 225, 0.92) 0%, rgba(228, 243, 232, 0.92) 41.15%, rgba(224, 238, 247, 0.92) 100%);
                }
            }
        }
    }

    @include media-breakpoint-up(lg) {
        padding-top: rem(96);
        min-height: rem(600);

        &__layout {
            width: 60%;
        }

        &__header {
            width: rem(560);
            font-size: rem(47);
            line-height: rem(57);
            margin-bottom: rem(20);
        }

        &__text {
            width: rem(520);
            font-weight: 700;
            font-size: rem(16);
            line-height: rem(24);
            margin-bottom: rem(30);
        }

        &__links {
            margin-bottom: rem(30);
            display: flex;
            align-items: center;
        }

        &__item {
            margin-bottom: 0;
        }

        &__link {

            span {
                max-width: rem(150);
            }
        }

        &--v1,
        &--v3 {

            .screen {

                &__links {
                    width: rem(746);
                    padding: rem(10);
                    height: rem(70);
                    border-radius: 8px;
                    justify-content: space-between;
                    background: rgba(255, 255, 255, 0.98);
                }
            }
        }

        &--v2,
        &--v4 {

            .screen {

                &__links {
                    width: rem(500);
                    justify-content: space-between;
                }

                &__item {
                    margin-right: rem(30);

                    &:last-child {
                        margin-right: 0;
                    }
                }

                &__link {
                    font-size: rem(12);
                    line-height: rem(12);
                }

                &__icon {
                    height: rem(40);
                    margin-right: rem(7);

                    span {
                        max-width: rem(100);
                    }
                }

                &__media {
                    width: 1497px;
                }
            }
        }
    }
    @include media-breakpoint-up(xl) {

        &__layout {

        }

        &--v1,
        &--v3 {

            .screen {

                &__layout {
                    width: 49.7%;
                    background: radial-gradient(142.31% 805.04% at -8.59% 167.38%, rgba(250, 233, 26, 0.15) 0%, rgba(77, 184, 81, 0.15) 41.15%, rgba(48, 142, 205, 0.15) 100%);
                }

                &__media {
                    bottom: -84px;
                    left: calc(50% - 150px);
                }
            }
        }

        &--v2,
        &--v4 {

            .screen {

                &__layout {
                    width: 1336px;
                    left: calc(50% - 960px);
                    background: url("../img/inner_bg_v2.svg") 100% 0 no-repeat;

                    &:before {
                        top: 0;
                        bottom: 0;
                        right: 100%;
                        width: 2000px;
                        content: '';
                        position: absolute;
                        background: #E4F3E8;
                    }
                }

                &__media {
                    left: calc(50% - 376px);
                }
            }
        }
    }
}
